com.trendmicro.ds.platform.rest.object.scheduledtask

## Class ModifyContactsListRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.ModifyContactsListRequest

-     public class ModifyContactsListRequest
      extends java.lang.Object

  Request object for the ModifyContactsList API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifyContactsListRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModifyContactsListRequest` | `addContact(java.lang.Integer contact)` Add a contact to the list.
    `java.util.List<java.lang.Integer>` | `getContacts()` Get the contacts list.
    `void` | `setContacts(java.util.List<java.lang.Integer> contacts)` Set the contacts list.
    `ModifyContactsListRequest` | `withContacts(java.lang.Integer... contacts)` Set the contacts list.
    `ModifyContactsListRequest` | `withContacts(java.util.List<java.lang.Integer> contacts)` Set the contacts list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifyContactsListRequest

          public ModifyContactsListRequest()

  - ### Method Detail

    - #### getContacts

          public java.util.List<java.lang.Integer> getContacts()

      Get the contacts list.
      Returns:
        the contacts list.

    - #### setContacts

          public void setContacts(java.util.List<java.lang.Integer> contacts)

      Set the contacts list.
      Parameters:
        `contacts` - the contacts list to set.

    - #### withContacts

          public ModifyContactsListRequest withContacts(java.util.List<java.lang.Integer> contacts)

      Set the contacts list.
      Parameters:
        `contacts` - the contacts list to set.
      Returns:
        the updated ModifyContactsListRequest object.

    - #### withContacts

          public ModifyContactsListRequest withContacts(java.lang.Integer... contacts)

      Set the contacts list.
      Parameters:
        `contacts` - the contacts list to set.
      Returns:
        the updated ModifyContactsListRequest object.

    - #### addContact

          public ModifyContactsListRequest addContact(java.lang.Integer contact)

      Add a contact to the list.
      Parameters:
        `contact` - the contact to add.
      Returns:
        the updated ModifyContactsListRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.